Page MenuHomeFreeBSD

Add new commands to rc(8): describe and extracommands
ClosedPublic

Authored by lme on Jul 19 2014, 3:57 PM.

Details

Summary

The patch adds to new commands to rc(8). This is what can be done with it:

$ service sshd describe
Secure Shell Daemon

$ service sshd extracommands
configtest keygen reload

It also adds a "descr" variable to sshd's rc script and documents the additional rc options. See https://phabric.freebsd.org/D451 how to print them using service(8).

Diff Detail

Repository
rS FreeBSD src repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

lme updated this revision to Diff 774.Jul 19 2014, 3:57 PM
lme retitled this revision from to Add new commands to rc(8): describe and extracommands.
lme updated this object.
lme edited the test plan for this revision. (Show Details)
lme added a reviewer: hrs.

Can you also update share/man/man8/rc.8? The "Each script is expected to support at least the following arguments" section.

crees added a subscriber: crees.Sep 9 2014, 5:29 PM
crees accepted this revision.Apr 23 2016, 11:48 AM
crees added a reviewer: crees.

Really like this idea, think it was discussed a while ago?

This revision is now accepted and ready to land.Apr 23 2016, 11:48 AM
lme updated this revision to Diff 15533.Apr 23 2016, 3:05 PM
lme edited edge metadata.

Update the rc(8) manpage and add descriptions to most rc scripts in /etc/rc.d/

This revision now requires review to proceed.Apr 23 2016, 3:05 PM
bapt accepted this revision.Apr 23 2016, 3:11 PM
bapt added a reviewer: bapt.
bapt added a subscriber: bapt.

Please commit in 2 separates commits: 1 the tools, 2 adding the descriptions

This revision is now accepted and ready to land.Apr 23 2016, 3:11 PM
brueffer requested changes to this revision.Apr 23 2016, 3:22 PM
brueffer added a reviewer: brueffer.
brueffer added a subscriber: brueffer.
brueffer added inline comments.
etc/rc.d/autounmountd
13 ↗(On Diff #15533)

Consistency, filesystems or file systems? Not sure which we prefer these days, but pick just one. After going through the whole patch, "filesystems" seems to be more common.

etc/rc.d/gbde
15 ↗(On Diff #15533)

GEOM

etc/rc.d/netwait
24 ↗(On Diff #15533)

"the network being up"?

etc/rc.d/nfsuserd
13 ↗(On Diff #15533)

Sounds a bit strange, "and" instead of "plus" maybe?

etc/rc.d/nscd
22 ↗(On Diff #15533)

"name service" here, but "name-service" below. Pick one.

etc/rc.d/quota
16 ↗(On Diff #15533)

lowercase "check"?

etc/rc.d/virecover
15 ↗(On Diff #15533)

sessions

etc/rc.d/wpa_supplicant
14 ↗(On Diff #15533)

Does the script work for wired interfaces as well?

This revision now requires changes to proceed.Apr 23 2016, 3:22 PM
lme updated this revision to Diff 15534.Apr 23 2016, 3:55 PM
lme edited edge metadata.
  • Integrate most of brueffer's suggestions. While here, change the remaining "file system" to "filesystem". Most of the description comes from the daemon's manpage which are not very consistent.
  • Always allow to run "describe". Having to use "onedescribe" feels just wrong.
  • Add the now keywords "describe", "extracommands" and "oneextracommands" to the tcsh completion examples
brueffer accepted this revision.Apr 23 2016, 4:00 PM
brueffer edited edge metadata.
This revision is now accepted and ready to land.Apr 23 2016, 4:00 PM